# AI Visibility Definition
# Version 1.9.0
# https://www.ai-visibility.org.uk/
# Licensed under CC BY 4.0

meta:
  title: AI Visibility Definition
  description: >
    The canonical definitions for AI Visibility, AI Visibility Checking,
    AI Discovery Files, and related terminology.
  version: "1.9.0"
  versionDate: "2026-05-11"
  canonicalUrl: https://www.ai-visibility.org.uk/definition/
  publisher:
    name: 365i
    url: https://www.365i.co.uk/
  license:
    name: Creative Commons Attribution 4.0 International
    identifier: CC-BY-4.0
    url: https://creativecommons.org/licenses/by/4.0/
  datePublished: "2026-01-10T00:00:00Z"
  dateModified: "2026-05-11T00:00:00Z"
  language: en-GB

definitions:
  aiVisibility:
    termCode: AV-001
    term: AI Visibility
    definition: >
      The degree to which a website or digital entity can be discovered, 
      correctly interpreted, accurately represented, and safely cited by 
      AI systems including large language models, AI search engines, and 
      retrieval-augmented generation systems.
    notes:
      - >
        AI Visibility is established through AI discovery files, structured data, 
        consistent machine-readable identity signals, and clear technical 
        infrastructure that enables AI systems to understand and trust a 
        website's content.
      - >
        AI Visibility is distinct from traditional search engine visibility. 
        A website may rank well in conventional search results whilst having 
        poor AI visibility, or vice versa.
    url: https://www.ai-visibility.org.uk/definition/#definition-ai-visibility

  aiVisibilityChecking:
    termCode: AV-002
    term: AI Visibility Checking
    definition: >
      The process of technically verifying whether a website's infrastructure — 
      including AI discovery files, structured data, and identity consistency — 
      enables AI systems to discover, interpret, trust, and safely use that 
      website as an information source.
    notes:
      - >
        AI Visibility Checking validates capability, not outcomes. It answers 
        the question: 'Can AI systems technically understand and trust this 
        website?' rather than 'Do AI systems currently mention this website?'
      - >
        AI Visibility Checking is deterministic and verifiable. Results can be 
        reproduced, inspected, and validated independently.
    validates:
      - Website discovery by AI systems
      - Accurate business or entity identification
      - Understanding of scope, services, and offerings
      - Recognition of explicit exclusions
      - Trust and authority signals
      - Safe citation and recommendation capability
    isNot:
      - Brand mention tracking
      - Prompt-based testing
      - Ranking simulation
      - Sentiment analysis
      - Search visibility metrics
      - AI traffic analytics
      - Historical monitoring
    url: https://www.ai-visibility.org.uk/definition/#definition-ai-visibility-checking
    referenceImplementation:
      name: 365i AI Website Visibility Checker
      url: https://www.ai-visibility.org.uk/ai-visibility-checker/

  aiDiscoveryFiles:
    termCode: AV-003
    term: AI Discovery Files
    definition: >
      Machine-readable files published on a website specifically to communicate 
      information to AI systems. These files enable websites to declare their 
      identity, scope, services, permissions, and preferred representation to 
      AI crawlers and large language models.
    coreFiles:
      - filename: llms.txt
        purpose: AI-readable business identity and context
      - filename: llm.txt
        purpose: Compatibility variant (should redirect to llms.txt)
      - filename: llms.html
        purpose: Human-readable reference version of AI identity information
      - filename: ai.txt
        purpose: AI usage permissions and intent signals
      - filename: ai.json
        purpose: Machine-parseable AI interaction guidance in JSON format
      - filename: brand.txt
        purpose: Brand naming, terminology, and representation rules
      - filename: faq-ai.txt
        purpose: Factual question and answer source formatted for AI consumption
      - filename: developer-ai.txt
        purpose: Technical, platform, and integration context
      - filename: robots-ai.txt
        purpose: AI crawler-specific access directives
      - filename: identity.json
        purpose: Structured canonical identity data in JSON format
    supportingFiles:
      - filename: robots.txt
        purpose: General crawler directives, including AI-specific user agents
      - filename: sitemap.xml
        purpose: Site structure used by AI crawlers for content discovery
      - filename: security.txt
        purpose: Security contact information, increasingly referenced by AI systems
      - filename: humans.txt
        purpose: Human-readable site information that AI systems may parse
      - filename: structured-data
        purpose: Schema.org and similar embedded metadata
    url: https://www.ai-visibility.org.uk/definition/#definition-ai-discovery-files

  aiVisibilityTracking:
    termCode: AV-004
    term: AI Visibility Tracking
    definition: >
      The ongoing measurement of how a website or brand appears in AI-generated 
      responses over time. This includes monitoring mention frequency, sentiment, 
      accuracy of representation, and changes in how AI systems describe or 
      recommend the entity.
    notes:
      - AI Visibility Tracking measures outcomes rather than validating infrastructure.
      - It observes what AI systems currently do, not what they are technically capable of doing.
    url: https://www.ai-visibility.org.uk/definition/#definition-ai-visibility-tracking

  aiVisibilityMonitoring:
    termCode: AV-005
    term: AI Visibility Monitoring
    definition: >
      The continuous observation of AI system behaviour related to a website or 
      brand, typically including automated alerts for significant changes in 
      AI-generated mentions, representations, or recommendations.
    notes:
      - >
        AI Visibility Monitoring is a subset of AI Visibility Tracking focused 
        on real-time or near-real-time observation and notification.
    parentTerm: aiVisibilityTracking
    url: https://www.ai-visibility.org.uk/definition/#definition-ai-visibility-monitoring

  aiRetrievalTesting:
    termCode: AV-006
    term: AI Retrieval Testing
    definition: >
      The practice of querying AI systems with specific prompts to observe 
      whether and how they reference a particular website or brand in their 
      responses.
    notes:
      - >
        AI Retrieval Testing results are inherently variable, as they depend on 
        prompt phrasing, model version, temperature settings, and other factors 
        outside the tester's control.
      - Results from AI Retrieval Testing are indicative rather than deterministic.
    parentTerm: aiVisibilityTracking
    url: https://www.ai-visibility.org.uk/definition/#definition-ai-retrieval-testing

taxonomy:
  description: The hierarchical relationship between AI Visibility terms
  structure:
    aiVisibility:
      label: AI Visibility
      role: the goal
      children:
        aiDiscoveryFiles:
          label: AI Discovery Files
          role: the mechanism
        aiVisibilityChecking:
          label: AI Visibility Checking
          role: validating infrastructure
          isFoundational: true
        aiVisibilityTracking:
          label: AI Visibility Tracking
          role: measuring outcomes
          children:
            aiVisibilityMonitoring:
              label: AI Visibility Monitoring
              role: real-time tracking
            aiRetrievalTesting:
              label: AI Retrieval Testing
              role: prompt-based observation

faq:
  - id: faq-checking-vs-tracking
    question: What is the difference between AI Visibility Checking and AI Visibility Tracking?
    answer: >
      AI Visibility Checking validates whether a website's technical infrastructure
      enables AI systems to discover, interpret, and trust it. It examines inputs:
      the presence and consistency of AI discovery files, structured data, and
      machine-readable identity signals. AI Visibility Tracking measures outcomes:
      how often a website is mentioned in AI responses, the sentiment of those
      mentions, and changes over time. Checking validates capability; tracking
      observes results.
    relatedTerms:
      - AV-002
      - AV-004

  - id: faq-ai-model-queries
    question: Does AI Visibility Checking query AI models like ChatGPT or Claude?
    answer: >
      No. AI Visibility Checking is a deterministic, read-only technical audit.
      It examines publicly accessible files and infrastructure without querying
      AI models or simulating prompts. This distinguishes it from AI Retrieval
      Testing, which does query AI systems and produces inherently variable results.
    relatedTerms:
      - AV-002
      - AV-006

  - id: faq-what-are-ai-discovery-files
    question: What are AI Discovery Files and which files are included?
    answer: >
      AI Discovery Files are machine-readable files that communicate a website's
      identity, scope, and permissions to AI systems. The canonical file is
      llms.txt for AI-readable business context (with llm.txt as a compatibility
      alias that should redirect to llms.txt), alongside ai.txt for usage
      permissions, ai.json for machine-parseable AI interaction guidance,
      brand.txt for naming conventions, and identity.json for structured
      identity data. Supporting files such as robots.txt, sitemap.xml, and
      Schema.org structured data also contribute to AI discoverability.
    relatedTerms:
      - AV-003

  - id: faq-ai-visibility-vs-seo
    question: Is AI Visibility the same as AI SEO or generative engine optimisation?
    answer: >
      No. AI Visibility refers to whether a website can be technically discovered
      and correctly interpreted by AI systems. It is infrastructure-focused and
      deterministic. Terms like 'AI SEO' or 'generative engine optimisation'
      typically describe strategies for influencing AI-generated responses — an
      outcome-focused activity closer to AI Visibility Tracking. AI Visibility
      establishes the technical foundation that makes any subsequent optimisation
      meaningful.
    relatedTerms:
      - AV-001
      - AV-004

  - id: faq-search-ranking-vs-ai-visibility
    question: Why might a website rank well in search but have poor AI Visibility?
    answer: >
      Traditional search engines and AI systems evaluate websites differently.
      Search engines primarily assess relevance, authority, and user engagement
      signals. AI systems require clear, unambiguous identity signals, explicit
      scope declarations, and machine-readable context that enables safe citation.
      A website optimised for search engine ranking may lack AI discovery files,
      present inconsistent identity information, or fail to declare its scope in
      ways AI systems can parse.
    relatedTerms:
      - AV-001
      - AV-003

  - id: faq-deterministic-results
    question: Are AI Visibility Checking results deterministic and reproducible?
    answer: >
      Yes. AI Visibility Checking produces deterministic, verifiable results.
      The same website analysed with the same methodology will yield the same
      findings. Results can be independently reproduced, inspected, and validated.
      This contrasts with AI Retrieval Testing, where results vary based on prompt
      phrasing, model version, temperature settings, and other factors outside
      the tester's control.
    relatedTerms:
      - AV-002
      - AV-006

versionHistory:
  - version: "1.9.0"
    date: "2026-05-11"
    changes: "Phase 6 standardisation release. Added /specifications/roadmap/ (theme-pegged forward plan with Active/Next/Future/On hold status flags), /specifications/extensions/ (rules for experimental x- prefixed files and the promotion path), and /specifications/i18n-a11y/ (multi-language publication, locale-tagged identity fields, RTL handling, accessibility of llms.html). Added the Discovery: directive to the robots-ai.txt specification (publishers MAY advertise AI Discovery Files on the same host). Added a formal media-type stance to the HTTP behaviour page (existing IANA types, no bespoke registrations). Expanded the file integrity and signing section on the security and privacy page with four candidate mechanisms, cross-cutting concerns, and interim publisher / consumer guidance. The Discovery: directive is the only normative addition to publisher behaviour; all other additions are forward-looking documentation."
  - version: "1.8.0"
    date: "2026-05-11"
    changes: "Phase 5 standardisation release. Added /specifications/related-standards/ (positioning vs llmstxt.org, IETF AI Preferences, robots.txt, Schema.org, BCP 14, JSON Schema 2020-12, SemVer) and /specifications/implementations/ (public record of conformant implementations, IETF-style). Added an explicit llmstxt.org backward-compatibility statement to the llms.txt specification. Added a formal multi-domain and subdomain scoping rule to both the llms.txt and identity.json specifications (host-scoped files, cross-host identity asserted via sameAs). No normative requirements changed for existing publishers; the new scoping rules formalise behaviour the specification already implied."
  - version: "1.7.0"
    date: "2026-05-11"
    changes: "Phase 4 standardisation release. Added /specifications/processing-model/ (seven-stage algorithm for conformant consumers), /specifications/consumer-guidance/ (what AI systems should do with AI Discovery Files), /specifications/test-vectors/ (canonical test suite framing), and reference-implementation framing on the AI Visibility Checker. No normative requirements changed."
  - version: "1.6.0"
    date: "2026-05-11"
    changes: "Phase 3 standardisation release. Added /specifications/versioning/ (Semantic Versioning 2.0.0 commitments, deprecation timeline, lifecycle), /specifications/governance/ (proposal lifecycle, editorial process, working principles), /specifications/security-privacy/ (trust model, content-injection patterns, GDPR considerations, integrity primitives roadmap), and /specifications/http-behaviour/ (status codes, redirects, soft-404 detection, caching, rate limits). No normative requirements changed."
  - version: "1.5.0"
    date: "2026-05-11"
    changes: "Phase 2 standardisation release. Added formal conformance specification (Essential / Recommended / Complete classes). Published machine-readable registry at /specifications/registry.json, spec meta-schema, and validator-output schema. Introduced versioned JSON Schema URLs (/v1/) alongside unversioned 'latest' aliases. Added optional BCP 47 language declaration field across all applicable AI Discovery Files. No normative requirements changed."
  - version: "1.4.0"
    date: "2026-05-10"
    changes: "Phase 1 standardisation release. Added 'Status of This Document' block (Stable). Normalised normative requirement keywords to uppercase per RFC 2119 and RFC 8174. Added References section linking to /specifications/conventions/ and /licensing/. No normative requirements changed."
  - version: "1.3.4"
    date: "2026-05-03"
    changes: >
      Removed incorrect $schema declarations from machine-readable definition
      and specification data files (these are data documents, not JSON Schemas).
      Synced 8 spec data files (JSON and YAML) with their published page
      versions. Refreshed dateModified. Reordered the coreFiles list so the
      canonical llms.txt precedes its llm.txt compatibility alias, and
      clarified the same point in the FAQ.
  - version: "1.3.3"
    date: "2026-02-13"
    changes: >
      Added AI Visibility Directory registration guidance across all specification
      and content pages. Dynamic last-modified dates.
  - version: "1.3.2"
    date: "2026-01-16"
    changes: >
      Added Implementation Guides: Quick Start Guide (tiered implementation path),
      Interoperability Guide (conflict resolution and precedence rules), and
      Validation Framework (test prompts and scoring methodology).
  - version: "1.3.1"
    date: "2026-01-12"
    changes: >
      Converted site from static HTML to PHP-based architecture with external CSS,
      includes pattern, and dynamic schema generation.
  - version: "1.3.0"
    date: "2026-01-12"
    changes: >
      Added AI Discovery File Specifications section with comprehensive format
      specifications for all 10 core AI Discovery Files. Each specification
      includes canonical examples, machine-readable versions (JSON/YAML), and
      JSON Schemas for ai.json and identity.json.
  - version: "1.2.0"
    date: "2026-01-12"
    changes: >
      Added ai.json to core AI Discovery Files. ai.json provides machine-parseable
      AI interaction guidance in JSON format, complementing ai.txt with structured
      permission and interpretation data.
  - version: "1.1.1"
    date: "2026-01-12"
    changes: >
      Removed Wikidata links from Machine-Readable Formats section and sameAs
      references from structured data (entities deleted for insufficient notability).
  - version: "1.1.0"
    date: "2026-01-12"
    changes: >
      Added Frequently Asked Questions section with six questions addressing
      common clarifications about AI Visibility concepts. Includes FAQPage
      structured data in HTML.
  - version: "1.0.2"
    date: "2026-01-11"
    changes: >
      Added visible Wikidata links to Machine-Readable Formats section for all
      registered terms (AV-001, AV-002, AV-003) and publisher.
  - version: "1.0.1"
    date: "2026-01-11"
    changes: >
      Added ETSI Technical Specification draft documents (Markdown and Word formats).
      Added reference to ETSI specification in Machine-Readable Formats section.
  - version: "1.0.0"
    date: "2026-01-10"
    changes: >
      Initial publication. Establishes canonical definitions for AI Visibility,
      AI Visibility Checking, AI Discovery Files, AI Visibility Tracking,
      AI Visibility Monitoring, and AI Retrieval Testing.
